=== debian/changelog ===
ocaml-melt (1.3.0-2build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:44:57 -0600

ocaml-melt (1.3.0-2) unstable; urgency=low

  * Add patch to support bytecode architectures (Closes: #613058)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 13 Feb 2011 18:15:25 +0100

ocaml-melt (1.3.0-1) unstable; urgency=low

  * Initial release (Closes: #567885)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 04 Dec 2010 10:14:53 +0100
