=== debian/control ===
Source: ocaml-melt
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 8),
 dh-ocaml (>= 0.9),
 ocaml-findlib,
 mlpost,
 ghostscript,
 texlive-latex-extra,
 ocaml-nox (>= 3.11.1-3~)
Standards-Version: 3.9.1
Section: tex
Homepage: http://melt.forge.ocamlcore.org/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-melt.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-melt.git

Package: ocaml-melt
Architecture: any
Depends:
 texlive-latex-base,
 libmelt-ocaml-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 texlive-latex-extra,
 mlpost
Description: LaTeX with OCaml (tools)
 Melt is a set of libraries and tools which allows you to program
 LaTeX documents using OCaml. This combines the typesetting power of
 LaTeX with the programming power of OCaml. It can be combined with
 Mlpost to include figures.
 .
 This package contains command-line tools to compile Melt files.

Package: libmelt-ocaml-dev
Architecture: any
Section: ocaml
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends:
 ocaml-findlib
Description: LaTeX with OCaml (libraries)
 Melt is a set of libraries and tools which allows you to program
 LaTeX documents using OCaml. This combines the typesetting power of
 LaTeX with the programming power of OCaml. It can be combined with
 Mlpost to include figures.
 .
 This package contains libraries needed to compile Melt files.
