=== debian/changelog ===
ocaml-melt (1.4.0-3) unstable; urgency=medium

  * Fix FTBFS with OCaml 4.08.1 (Closes: #944600)
  * Update Vcs-* to point to salsa
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Aug 2020 15:50:10 +0200

ocaml-melt (1.4.0-2) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends
  * Switch debian/copyright to format 1.0
  * Update Vcs-*
  * Bump Standards-Version to 4.0.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 29 Jul 2017 09:35:36 +0200

ocaml-melt (1.4.0-1) unstable; urgency=low

  * New upstream release
    - remove all patches (merged upstream)
  * Bump Standards-Version to 3.9.2 (no changes)
  * Move mlpost from Recommends to Depends

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Nov 2011 13:09:08 +0100
