=== debian/control ===
--- 
+++ 
@@ -3,30 +3,32 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 8),
- dh-ocaml (>= 0.9),
+ debhelper-compat (= 13),
+ dh-ocaml,
  ocaml-findlib,
+ ocamlbuild,
  mlpost,
  ghostscript,
  texlive-latex-extra,
- ocaml-nox (>= 3.11.1-3~)
-Standards-Version: 3.9.1
+ ocaml-nox
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: tex
 Homepage: http://melt.forge.ocamlcore.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-melt.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-melt.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-melt
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-melt.git
 
 Package: ocaml-melt
 Architecture: any
 Depends:
+ mlpost,
  texlive-latex-base,
  libmelt-ocaml-dev,
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Recommends:
- texlive-latex-extra,
- mlpost
+ texlive-latex-extra
 Description: LaTeX with OCaml (tools)
  Melt is a set of libraries and tools which allows you to program
  LaTeX documents using OCaml. This combines the typesetting power of
